Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.method.support
Interface HandlerMethodReturnValueHandler

All Known Implementing Classes:
  AbstractMessageConverterMethodProcessor, AsyncMethodReturnValueHandler, HandlerMethodReturnValueHandlerComposite, HttpEntityMethodProcessor, MapMethodProcessor, ModelAndViewMethodReturnValueHandler, ModelAndViewResolverMethodReturnValueHandler, ModelAttributeMethodProcessor, ModelMethodProcessor, RequestResponseBodyMethodProcessor, ServletModelAttributeMethodProcessor, ViewMethodReturnValueHandler, ViewNameMethodReturnValueHandler

    public interface HandlerMethodReturnValueHandler

Strategy interface to handle the value returned from the invocation of a handler method .

Since:
  3.1
Author:
  Arjen Poutsma

Method Summary
`void` | `handleReturnValue(java.lang.Object returnValue, MethodParameter returnType, ModelAndViewContainer mavContainer, NativeWebRequest webRequest)` Handle the given return value by adding attributes to the model and setting a view or setting the `ModelAndViewContainer.setRequestHandled(boolean)` flag to `true` to indicate the response has been handled directly.
`boolean` | `supportsReturnType(MethodParameter returnType)` Whether the given method return type is supported by this handler.

Method Detail

### supportsReturnType

    boolean supportsReturnType(MethodParameter returnType)

  Whether the given method return type is supported by this handler.

  Parameters:
    `returnType` - the method return type to check
  Returns:
    `true` if this handler supports the supplied return type; `false` otherwise

### handleReturnValue

    void handleReturnValue(java.lang.Object returnValue,
                           MethodParameter returnType,
                           ModelAndViewContainer mavContainer,
                           NativeWebRequest webRequest)
                           throws java.lang.Exception

  Handle the given return value by adding attributes to the model and setting a view or setting the `ModelAndViewContainer.setRequestHandled(boolean)` flag to `true` to indicate the response has been handled directly.

  Parameters:
    `returnValue` - the value returned from the handler method
    `returnType` - the type of the return value. This type must have previously been passed to `supportsReturnType(org.springframework.core.MethodParameter)` and it must have returned `true`
    `mavContainer` - the ModelAndViewContainer for the current request
    `webRequest` - the current request
  Throws:
    `java.lang.Exception` - if the return value handling results in an error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD